<template>
  <div class="dec-line">
    <div class="wrap">
      <div
        class="line"
        :style="{
          borderColor: arg.color,
          width: width,
          borderStyle: arg.lineStyle,
        }"
      ></div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    tab: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  data() {
    return {
      arg: null,
    };
  },
  created() {
    this.arg = this.tab.arg;
  },
  computed: {
    width() {
      return this.arg.margin === "yes" ? "80%" : "100%";
    },
  },
};
</script>
